## kalarm 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
set(KDEPIM_VERSION_NUMBER "5.7.3")
set(PIM_VERSION ${KDEPIM_VERSION_NUMBER})

project(kalarm VERSION "2.11.16")

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
set(KIMAP_LIB_VERSION "5.7.3")
set(AKONADI_MIMELIB_VERSION "5.7.3")
set(AKONADI_CONTACT_VERSION "5.7.3")
set(KHOLIDAYS_LIB_VERSION "5.7.3")
set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
set(AKONADI_VERSION "5.7.3")
set(KMIME_LIB_VERSION "5.7.3")
set(AKONADIKALARM_LIB_VERSION "5.7.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
find_package(Qt5X11Extras NO_MODULE)
set(MAILCOMMON_LIB_VERSION_LIB "5.7.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
set(KCALENDARCORE_LIB_VERSION "5.7.3")
set(CALENDARUTILS_LIB_VERSION "5.7.3")
set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")

# Find KF5 package
find_package(KF5Auth ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_VERSION} REQUIRED)
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Notifications ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KHOLIDAYS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KdepimDBusInterfaces ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)


if (NOT APPLE)
    find_package(X11)
endif()
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")
set(KDEPIM_HAVE_X11 ${X11_FOUND})
configure_file(src/config-kalarm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kalarm.h )

include_directories(${kalarm_SOURCE_DIR} ${kalarm_BINARY_DIR})

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-DQT_STRICT_ITERATORS)
endif()
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_MESSAGELOGCONTEXT)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

add_subdirectory(src)

install( FILES kalarm.renamecategories kalarm.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===



include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
)

add_subdirectory(appicons)
add_subdirectory(pixmaps)
add_subdirectory(autostart)
add_subdirectory(kconf_update)

set(libkalarm_common_SRCS)
ecm_qt_declare_logging_category(libkalarm_common_SRCS
                                HEADER kalarm_debug.h
                                IDENTIFIER KALARM_LOG
                                CATEGORY_NAME org.kde.pim.kalarm
                                DEFAULT_SEVERITY Warning)

########### next target ###############
set(libkalarm_SRCS
    lib/buttongroup.cpp
    lib/checkbox.cpp
    lib/colourbutton.cpp
    lib/combobox.cpp
    lib/desktop.cpp
    lib/filedialog.cpp
    lib/groupbox.cpp
    lib/itembox.cpp
    lib/kalocale.cpp
    lib/label.cpp
    lib/messagebox.cpp
    lib/packedlayout.cpp
    lib/pushbutton.cpp
    lib/radiobutton.cpp
    lib/timeedit.cpp
    lib/timespinbox.cpp
    lib/timeperiod.cpp
    lib/timezonecombo.cpp
    lib/shellprocess.cpp
    lib/slider.cpp
    lib/spinbox.cpp
    lib/spinbox2.cpp
    lib/stackedwidgets.cpp
    lib/lineedit.cpp
    lib/synchtimer.cpp
)

set(kalarm_bin_SRCS ${libkalarm_SRCS}
    ${libkalarm_common_SRCS}
    birthdaydlg.cpp
    birthdaymodel.cpp
    main.cpp
    editdlg.cpp
    editdlgtypes.cpp
    soundpicker.cpp
    sounddlg.cpp
    alarmcalendar.cpp
    undo.cpp
    kalarmapp.cpp
    mainwindowbase.cpp
    mainwindow.cpp
    messagewin.cpp
    preferences.cpp
    prefdlg.cpp
    traywindow.cpp
    dbushandler.cpp
    recurrenceedit.cpp
    deferdlg.cpp
    functions.cpp
    fontcolour.cpp
    fontcolourbutton.cpp
    alarmtime.cpp
    alarmtimewidget.cpp
    specialactions.cpp
    reminder.cpp
    startdaytimer.cpp
    eventlistview.cpp
    alarmlistdelegate.cpp
    alarmlistview.cpp
    templatelistview.cpp
    kamail.cpp
    timeselector.cpp
    latecancel.cpp
    repetitionbutton.cpp
    emailidcombo.cpp
    find.cpp
    pickfileradio.cpp
    newalarmaction.cpp
    commandoptions.cpp
    resourceselector.cpp
    templatepickdlg.cpp
    templatedlg.cpp
    templatemenuaction.cpp
    wakedlg.cpp
)
set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
    kalarmmigrateapplication.cpp
    akonadimodel.cpp
    akonadiresourcecreator.cpp
    collectionmodel.cpp
    collectionsearch.cpp
    itemlistmodel.cpp
    calendarmigrator.cpp
    eventid.cpp
   )

ki18n_wrap_ui(kalarm_bin_SRCS
    wakedlg.ui
)

qt5_add_dbus_adaptor(kalarm_bin_SRCS org.kde.kalarm.kalarm.xml dbushandler.h DBusHandler)

qt5_add_dbus_interfaces(kalarm_bin_SRCS kmail/org.kde.kmail.kmail.xml)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/kalarmresource.kcfg org.kde.Akonadi.KAlarm.Settings)
qt5_add_dbus_interface(kalarm_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarm.Settings.xml kalarmsettings KAlarmSettings)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/kalarmdirresource.kcfg org.kde.Akonadi.KAlarmDir.Settings)
qt5_add_dbus_interface(kalarm_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.KAlarmDir.Settings.xml kalarmdirsettings KAlarmDirSettings)

qt5_add_dbus_interfaces(kalarm_bin_SRCS ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Control.xml)
#qt5_add_dbus_adaptor(kalarm_bin_SRCS ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Control.xml agentbase.h Akonadi::AgentBase controladaptor Akonadi__ControlAdaptor)

kconfig_add_kcfg_files(kalarm_bin_SRCS GENERATE_MOC kalarmconfig.kcfgc)

#if (UNIX)
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/appicons/*-apps-kalarm.png")
ecm_add_app_icon(kalarm_bin_SRCS ICONS ${ICONS_SRCS})
add_executable(kalarm_bin ${kalarm_bin_SRCS})

set_target_properties(kalarm_bin PROPERTIES OUTPUT_NAME kalarm)

target_link_libraries(kalarm_bin
    KF5::AlarmCalendar
    KF5::CalendarCore
    KF5::CalendarUtils
    KF5::Contacts
    KF5::Mime
    KF5::IdentityManagement
    KF5::MailTransportAkonadi
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::AkonadiContact
    KF5::Holidays
    KF5::Codecs
    KF5::ConfigCore
    KF5::Libkdepim
    Phonon::phonon4qt5
    KF5::Auth
    KF5::DBusAddons
    KF5::PimCommon
    KF5::AkonadiWidgets
)

if (Qt5X11Extras_FOUND)
  target_link_libraries(kalarm_bin Qt5::X11Extras)
endif()


install(TARGETS kalarm_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
#endif (UNIX)

########### install files ###############

install(FILES org.kde.kalarm.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES kalarm.autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES org.kde.kalarm.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

install(FILES kalarmconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kalarmui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kalarm)
install(FILES org.kde.kalarm.kalarm.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

########### KAuth helper ###############

add_executable(kalarm_helper rtcwakeaction.cpp ${libkalarm_common_SRCS})
target_link_libraries(kalarm_helper KF5::Auth KF5::KDELibs4Support)
install(TARGETS kalarm_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kalarm_helper org.kde.kalarmrtcwake root)
kauth_install_actions(org.kde.kalarmrtcwake rtcwakeaction.actions)

=== src/autostart/CMakeLists.txt ===
include_directories( ../  )

########### next target ###############

set(kalarmautostart_SRCS
    autostart.cpp
)

ecm_qt_declare_logging_category(kalarmautostart_SRCS HEADER kalarm_autostart_debug.h IDENTIFIER KALARMAUTOSTART_LOG CATEGORY_NAME org.kde.pim.autostart_kalarm)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../appicons/*-apps-kalarm.png")
ecm_add_app_icon(kalarmautostart_SRCS ICONS ${ICONS_SRCS})

add_executable(kalarmautostart ${kalarmautostart_SRCS})

target_link_libraries(kalarmautostart  KF5::I18n KF5::CoreAddons Qt5::Widgets KF5::KDELibs4Support)

install(TARGETS kalarmautostart  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

## kalarm 17.04.3

=== debian/changelog ===
kalarm (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * Permissions for desktop file no longer need overriding, so drop in
    debian/rules and corresponding lintian override.
  * Update copyright

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:28 +0100

kalarm (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Initial split of kalarm from kdepim
  * Removing packaging info for all but kalarm
  * Fixed watch file

  [ Walter Lapchynski ]
  * Added lintian-overrides

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:11 +0100

kdepim (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Attempt to fix fuzz in kubuntu_debianize_akregator_feed 
  * Another attempt at de-fuzzing patch. 
  * Stop trying to fix and recreated kubuntu_debianize_akregator_default.diff 
  * I don't know what the ignore file is suppose to do, but it is not
    ingnoring. We are failing at the debian patch we do not want. Removing
    from series file. 
  * Add dh_fixperms for two executable desktop files. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:10 -0700

kdepim (4:15.12.1-1ubuntu6) xenial; urgency=medium

  * So that didn't actually prevent the tests from running, so remove the
    whole testsetup 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 20:44:27 +0100

kdepim (4:15.12.1-1ubuntu5) xenial; urgency=medium

  * Disable Autopkgtests as the tests don't pass upstream either 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 15:00:17 +0100

kdepim (4:15.12.1-1ubuntu4) xenial; urgency=medium

  * Add missing epoch ktnef build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:20:30 -0800

kdepim (4:15.12.1-1ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:03:37 -0800

kdepim (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Fix epochs on build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 15:40:37 -0800

kdepim (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes:
    Kept all breaks and replaces. 
  * Add missing files. Fix spelling error in control. 
  * Trigger rebuild, no changes. 

  [ Clive Johnston ]
  * Removing etc/xdg catchall in kmail.install
  * Adding two missing files to kmail.install 

  [ Scarlett Clark ]
  * Bump build dependencies version for pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:38:55 +0100

kdepim (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:56 +0100

kdepim (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release 

  [ Scarlett Clark ]
  * Add version requirement to kpimtextedit build dep. 
  * Add version requirements for akonadi* 

 -- Clive Johnston <clivejo@aol.com>  Sun, 03 Jan 2016 00:22:46 +0000

kdepim (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

  [ Sandro Knauß ]
  * Update description for kmail. (Closes: #623342)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:04 +0100

kdepim (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:58 +0200

kdepim (4:15.08.2-0ubuntu2) UNRELEASED; urgency=medium

  * Drop spambayes.patch, plugin moved to kdepim-addons
  * Update install files

 -- Rohan Garg <rohan@kde.org>  Mon, 14 Dec 2015 16:23:20 +0100

kdepim (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * Reset branch to revert all ABI changes. 
  * Fix merge after reset. 
  * batchpatch symbols. Per sitter libmessagviewer
    ABI break does not warrent soversion twiddling.  
  * Fix merge again. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 10 Oct 2015 02:40:23 -0700

kdepim (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Drop symbols files, please add them back if there is an ABI to maintain.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:22 +0200

kdepim (4:15.08.1-0ubuntu4) wily; urgency=medium

  * Make everything that isn't a lib depend on kdepim-runtime which provides
    runtime assets necessary for correct operation of kdepim.

 -- Harald Sitter <sitter@kde.org>  Wed, 07 Oct 2015 16:29:40 +0200

kdepim (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 15:13:27 +0200

kdepim (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:10:31 +0100

kdepim (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Updated symbols files for i386 and amd64
  * Removed MISSING symbols
  * Update install files

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 17:26:47 +0100

kdepim (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).
  * Update symbols files.
  * Add missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 22:06:59 +0200

kdepim (4:15.08.0-0ubuntu3) UNRELEASED; urgency=medium

  * Asterick cannot be used in not-installed. Fixing
    the mass list-missing errors. 



=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicalendar-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5akonadiserver-dev (>= 4:17.04.3~),
               libkf5alarmcalendar-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5calendarutils-dev (>= 4:17.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5holidays-dev (>= 17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:17.04.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mailcommon-dev (>= 4:17.04.3~),
               libkf5mailtransport-dev (>= 17.04.3~),
               libkf5messagecomposer-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5mimetreeparser-dev (>= 4:17.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:17.04.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:17.04.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .

## kalarm 17.12.3

=== debian/changelog ===
kalarm (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:51 +0000

kalarm (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:01 +0000

kalarm (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:25 +0000

=== debian/control ===
--- 
+++ 
@@ -16,52 +16,53 @@
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicalendar-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
-               libkf5akonadiserver-dev (>= 4:17.04.3~),
-               libkf5alarmcalendar-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicalendar-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadiserver-dev (>= 4:17.12.3~),
+               libkf5alarmcalendar-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5holidays-dev (>= 17.04.3~),
+               libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:17.04.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:17.12.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailcommon-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5messagecomposer-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
-               libkf5mimetreeparser-dev (>= 4:17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailcommon-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5messagecomposer-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
+               libkf5mimetreeparser-dev (>= 4:17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.04.3~),
+               libkf5templateparser-dev (>= 4:17.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.04.3~),
+               libkf5webengineviewer-dev (>= 4:17.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

KDEPIM_RUNTIME_VERSION = 4:15.07.90

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kalarm-([\d.]+).tar.xz

## kalarm 18.04.3

=== debian/changelog ===
kalarm (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:07 +0100

kalarm (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Rebuild against kauth 5.47, for altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:17:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,21 +16,21 @@
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicalendar-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
-               libkf5akonadiserver-dev (>= 4:17.12.3~),
-               libkf5alarmcalendar-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicalendar-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
+               libkf5akonadiserver-dev (>= 4:18.04.3~),
+               libkf5alarmcalendar-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5calendarutils-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5calendarutils-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
@@ -40,29 +40,29 @@
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:17.12.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:18.04.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mailcommon-dev (>= 4:17.12.3~),
-               libkf5mailtransport-dev (>= 17.12.3~),
-               libkf5messagecomposer-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
-               libkf5mimetreeparser-dev (>= 4:17.12.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mailcommon-dev (>= 4:18.04.3~),
+               libkf5mailtransport-dev (>= 18.04.3~),
+               libkf5messagecomposer-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
+               libkf5mimetreeparser-dev (>= 4:18.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.12.3~),
+               libkf5templateparser-dev (>= 4:18.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.12.3~),
+               libkf5webengineviewer-dev (>= 4:18.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -80,7 +80,7 @@
                qttools5-dev (>= 5.6.1~),
                shared-mime-info,
                xsltproc,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm

## kalarm 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.3")
+set(KDEPIM_VERSION_NUMBER "5.9.3")
 set(PIM_VERSION ${KDEPIM_VERSION_NUMBER})
 
-project(kalarm VERSION "2.11.16")
+project(kalarm VERSION "2.12.2")
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -28,7 +28,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -37,29 +37,29 @@
 
 
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
-set(KIMAP_LIB_VERSION "5.7.3")
-set(AKONADI_MIMELIB_VERSION "5.7.3")
-set(AKONADI_CONTACT_VERSION "5.7.3")
-set(KHOLIDAYS_LIB_VERSION "5.7.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
-set(KMIME_LIB_VERSION "5.7.3")
-set(AKONADIKALARM_LIB_VERSION "5.7.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
+set(KIMAP_LIB_VERSION "5.9.3")
+set(AKONADI_MIMELIB_VERSION "5.9.3")
+set(AKONADI_CONTACT_VERSION "5.9.3")
+
+set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.9.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.9.3")
+set(AKONADI_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.9.3")
+set(AKONADIKALARM_LIB_VERSION "5.9.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.9.3")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
 find_package(Qt5X11Extras NO_MODULE)
-set(MAILCOMMON_LIB_VERSION_LIB "5.7.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
-set(KCALENDARCORE_LIB_VERSION "5.7.3")
-set(CALENDARUTILS_LIB_VERSION "5.7.3")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")
+set(MAILCOMMON_LIB_VERSION_LIB "5.9.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.9.3")
+set(KCALENDARCORE_LIB_VERSION "5.9.3")
+set(CALENDARUTILS_LIB_VERSION "5.9.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.9.3")
 
 # Find KF5 package
 find_package(KF5Auth ${KF5_VERSION} CONFIG REQUIRED)
@@ -69,6 +69,7 @@
 find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
+find_package(KF5GlobalAccel ${KF5_VERSION} REQUIRED)
 find_package(KF5GuiAddons ${KF5_VERSION} REQUIRED)
 find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5IconThemes ${KF5_VERSION} REQUIRED)
@@ -81,6 +82,7 @@
 find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)
 find_package(Phonon4Qt5 CONFIG REQUIRED)
 
 # Find KdepimLibs Package
@@ -91,7 +93,6 @@
 find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Holidays ${KHOLIDAYS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5KdepimDBusInterfaces ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
@@ -115,9 +116,6 @@
 
 include_directories(${kalarm_SOURCE_DIR} ${kalarm_BINARY_DIR})
 
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-  add_definitions(-DQT_STRICT_ITERATORS)
-endif()
 add_definitions(-DQT_NO_CAST_FROM_ASCII)
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 add_definitions(-DQT_MESSAGELOGCONTEXT)

=== debian/changelog ===
kalarm (4:18.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:26:55 +0800

kalarm (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:04:02 +0100

kalarm (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * New upstream release (18.08.1).
  * Follow stable releases in KDE again.
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:29 +0200

kalarm (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:32:27 +0200

kalarm (4:17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove the jovie suggest, as it is not useful for kalarm.
  * Remove the autopkgtest stuff, as there is no test suite to run (and it
    would be better run during the build, anyway).
  * No need to run dh_makeshlibs -V, as there are no shared library packages.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 18:30:39 +0200

kalarm (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * small fixes in copyright file.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:23:17 +0200

kalarm (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * Remove not needed staza to disable build tests.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:46 +0100

kalarm (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Add libx11-dev as Build-Dep.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:51:20 +0100

kalarm (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces for doc files moved from kdepim-doc
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:18 +0200

kalarm (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:02 +0000

kalarm (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:27 +0000

kalarm (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:20 +0000

kalarm (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:50 +0000

kalarm (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:50 +0000

kalarm (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:51 +0000

kalarm (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:32 +0000

kalarm (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:49 +0000

kalarm (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 22:43:43 +0000

kalarm (4:16.11.90-0neon) xenial; urgency=medium

  * Initial release based on the split of kdepim

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 12 Sep 2016 16:40:57 +0200

kdepim (4:16.08.1-1~2.gbpb36d9f) UNRELEASED; urgency=medium

  ** SNAPSHOT build @b36d9f5ab35ffde3ed81e8616b1f61966d87f80b **

  [ Maximiliano Curia ]
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Update changelog for 4:16.04.3-2~1.gbp1d9499 release

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Refresh patches

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 14:32:28 +0200

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadicontact-dev (>= 4:18.08.3~),
               libkf5akonadimime-dev (>= 4:18.08.3~),
               libkf5alarmcalendar-dev (>= 4:18.08.3~),
               libkf5auth-dev (>= 5.47.0~),
               libkf5calendarcore-dev (>= 4:18.08.3~),
               libkf5calendarutils-dev (>= 4:18.08.3~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5completion-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5doctools-dev (>= 5.47.0~),
               libkf5globalaccel-dev (>= 5.47.0~),
               libkf5guiaddons-dev (>= 5.47.0~),
               libkf5holidays-dev (>= 1:5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5identitymanagement-dev (>= 18.08.3~),
               libkf5imap-dev (>= 18.08.3~),
               libkf5jobwidgets-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5kdelibs4support-dev (>= 5.47.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.08.3~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5libkdepim-dev (>= 4:18.08.3~),
               libkf5mailcommon-dev (>= 4:18.08.3~),
               libkf5mailtransport-dev (>= 18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               libkf5notifications-dev (>= 5.47.0~),
               libkf5pimcommon-dev (>= 4:18.08.3~),
               libkf5pimtextedit-dev (>= 18.08.3~),
               libkf5service-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               libphonon4qt5-dev,
               libqt5x11extras5-dev (>= 5.7.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xsltproc,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:17.08~), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:17.08~), ${kde-l10n:all}
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
